.portfolio-projects {
  overflow: hidden;
  position: relative;
  padding: 120px 0;
  background-color: #ffffff
}
.portfolio-projects:before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  content: "";
  width: 100%;
  height: 400px;
  background-color: #f7f7f7
}
.portfolio-projects .portfolio-slider {
  position: relative;
  overflow: hidden
}
.portfolio-slider-arrow .swiper-button-next, .portfolio-slider-arrow .swiper-button-prev {
  padding: 0;
  display: inline-block;
  position: static;
  height: 60px;
  width: 60px;
  margin: 0 5px;
  background-color: #ffffff;
  color: #c42424;
  text-align: center;
  line-height: 70px;
  transition: all 0.4s ease 0s
}
.portfolio-slider-arrow .swiper-button-next:hover, .portfolio-slider-arrow .swiper-button-prev:hover {
  background-color: #ffffff;
  color: #c42424
}
.portfolio-slider-arrow .swiper-button-next:after, .portfolio-slider-arrow .swiper-button-prev:after {
  font-size: 32px
}
.portfolio-title {
  position: relative;
  z-index: 1;
  margin-bottom: 30px
}
.portfolio-title h1 {
  position: absolute;
  top: -38px;
  left: -7px;
  font-size: 140px;
  font-weight: 700;
  line-height: 0.5;
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: #777777;
  opacity: 0.1;
  color: #333333
}
.portfolio-title h6 {
  position: relative;
  z-index: 1;
  font-size: 14px;
  font-weight: 700;
  line-height: 1;
  padding-left: 14px;
  margin-bottom: 18px;
  color: #c42424
}
.portfolio-title h6:before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  content: "";
  width: 2px;
  height: 14px;
  background-image: -webkit-linear-gradient(90deg, rgb(196, 36, 36) 0%, rgb(250, 57, 57) 100%)
}
.portfolio-title h2 {
  font-size: 50px;
  font-weight: 700;
  line-height: 56px;
  margin-bottom: 0;
  color: #333333
}
.portfolio-container-1 {
  padding-top: 50px;
  max-width: 1615px;
  width: 100%;
  margin: 0 0 0 auto;
  position: relative;
  z-index: 1;
  overflow: hidden;
  padding-left: 15px
}
.single-portfolio {
  overflow: hidden;
  position: relative;
  z-index: 1
}
.single-portfolio img {
  width: 100%;
  height: auto;
  object-fit: cover;
  object-position: top
}
.single-portfolio:before {
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 1;
  opacity: 0.961;
  width: 100%;
  height: 0;
  content: "";
  background-image: -webkit-linear-gradient(0deg, rgb(196, 36, 36) 0%, rgb(250, 57, 57) 100%);
  clip-path: polygon(0% -65%, 0% 100%, 99% 100%);
  transition: all 0.3s ease 0s
}
.single-portfolio:hover:before, .swiper-slide-active .single-portfolio:before {
  background-image: unset;
  background: #c42424;
  opacity: 0.902;
  height: 100%;
  clip-path: polygon(0% -65%, 0% 100%, 99% 100%)
}
.single-portfolio .portfolio-logo {
  position: absolute;
  z-index: 2;
  left: 40px;
  top: -120px;
  display: inline-block;
  width: unset;
  transition: all 0.3s ease 0s
}
.single-portfolio:hover .portfolio-logo, .swiper-slide-active .single-portfolio .portfolio-logo {
  top: 45px
}
.single-portfolio .portfolio-logo img {
  width: 100%
}
.single-portfolio .portfolio-info {
  padding: 0;
  position: absolute;
  left: 40px;
  top: auto;
  bottom: -60px;
  z-index: 3;
  transition: all 0.3s ease 0s
}
.single-portfolio:hover .portfolio-info, .swiper-slide-active .single-portfolio .portfolio-info {
  bottom: 40px
}
.single-portfolio .portfolio-info span {
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  padding-left: 0;
  margin-bottom: 3px;
  color: #ffffff
}
.single-portfolio .portfolio-info h4 {
  font-size: 24px;
  font-weight: 700;
  line-height: 28px;
  text-transform: capitalize;
  color: #ffffff
}
.single-portfolio .portfolio-btn {
  position: absolute;
  z-index: 3;
  right: 30px;
  bottom: 30px;
  background: #ffffff;
  width: 45px;
  height: 45px;
  line-height: 40px;
  -webkit-border-radius: 50%;
  text-align: center;
  -moz-transform: scale(0);
  transition: all 0.3s ease 0s
}
.single-portfolio .portfolio-btn img {
  width: 18px;
  height: 12px
}
.single-portfolio .portfolio-btn:hover {
  background-color: #378cff
}
.single-portfolio:hover .portfolio-btn, .swiper-slide-active .single-portfolio .portfolio-btn {
  transform: scale(1)
}
.portfolio-slider-arrow {
  position: relative;
  z-index: 2
}